Bug 252340 - Latex preview in ipe not working (freetype related)
Latex preview in ipe not working (freetype related)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ipe (Show other bugs)
7
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Laurent Rineau
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-15 10:27 EDT by Wim Van Hoydonck
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 6.0-0.19.pre28.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-19 04:26:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wim Van Hoydonck 2007-08-15 10:27:51 EDT
Description of problem:

In fedora 7, Latex preview of formulas is broken in ipe. (it works in fedora 
core 6).

Error message (after pressing CTRL+L):
Ipe has been compiled using the header files of Freetype version 2.2.1, but it
is linked with Freetype library version 2.3.4. No text display is possible.

Version-Release number of selected component (if applicable):
ipe 6.0 preview 28. (6.0-0.17.pre28.fc7)

How reproducible:
see below.


Steps to Reproduce:
1.Start ipe, set mode to mathematical symbol (or press "$")
2.indicate with mouse where text should come on canvas, enter text in the popup.
3.press CTRL+L to run latex
  
Actual results:
It displays an error message in a popup (see above).
ipe doesn't display the latex formulas/text.

Expected results:
Display the latex formulas/text (as it does in fc6)

Additional info:
Comment 1 Wim Van Hoydonck 2007-09-19 04:26:47 EDT
This bug is solved with version 6.0-0.19.pre28.fc7 of ipe.
Comment 2 Laurent Rineau 2007-09-19 05:29:46 EDT
Hello Wim.

I have actually fixed that bug. I have even deactivated the Freetype version 
checker in Ipe, so that the bug can re-arise in future.

I am sorry I forgot to tell you and to close this bug. I am pleased to see 
that you have discover the fix yourself.

In about a week, another new version of Ipe will be in Fedora updates. It is 
for now in Fedora updates-testing. If you can test it and confirm that you do 
not see any regression, I would push it even sooner in Fedora updates.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.